=== src/images/CMakeLists.txt ===
install( FILES nocover.png DESTINATION  ${DATA_INSTALL_DIR}/soundkonverter/images)
