=== debian/changelog ===
soundkonverter (3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Backport upstream commit 8589c87095466f0785902dea6367192bcd813eb3 to
    install the AppStream XML to /usr/share/metainfo instead of
    /usr/share/appdata; patch
    upstream_Install-appdata-in-usr-share-metainfo.patch.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update the build dependencies according to the upstream build systems
    (and the applied patches):
    - bump cmake to 3.3.0
    - bump libtag1-dev to 1.10
  * Update control, watch, and upstream/metadata references to the actual
    upstream location: https://github.com/dfaust/soundkonverter

 -- Pino Toscano <pino@debian.org>  Fri, 22 Oct 2021 08:09:15 +0200

soundkonverter (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --parallel, as it is the default now
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit 3760bccb3aa1e15bd5ec67bc977717c55a95bc6e to fix
    the cmake search and use of taglib; patch
    upstream_FindTaglib.cmake-Update-local-copy-with-ECM-5.72.0-v.patch
    (Closes: #973221)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Nov 2020 11:42:25 +0100

soundkonverter (3.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879436)

  [ Pino Toscano ]
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #875187)
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libkcddb-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5i18n-dev, libkf5kdelibs4support-dev,
      libkf5kio-dev, libkf5solid-dev, libkf5widgetsaddons-dev,
      libkf5xmlgui-dev, libkf5cddb-dev, and libphonon4qt5-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the patches:
    - soversion.diff: refresh
  * Remove trailing whitespaces in changelog.
  * Update lintian overrides.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 14:16:46 +0100
