=== debian/control ===
Source: soundkonverter
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Michael Meskes <meskes@debian.org>,
Build-Depends: debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16),
 gettext,
 extra-cmake-modules,
 qtbase5-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5i18n-dev,
 libkf5kdelibs4support-dev,
 libkf5kio-dev,
 libkf5solid-dev,
 libkf5widgetsaddons-dev,
 libkf5xmlgui-dev,
 libkf5cddb-dev,
 libphonon4qt5-dev,
 libtag1-dev (>= 1.10~),
 libcdparanoia-dev,
 cmake (>= 3.3.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/dfaust/soundkonverter
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/soundkonverter.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/soundkonverter

Package: soundkonverter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cdparanoia, faad, ffmpeg, flac,
 kio-audiocd, mp3gain, mplayer, mppenc, speex, timidity,
 vorbis-tools, vorbisgain, wavpack
Description: audio converter frontend for KDE
 soundKonverter is a frontend to various audio converters.
 .
 The key features are:
  - Audio conversion
  - Replay Gain calculation
  - CD ripping
 .
 soundKonverter supports reading and writing tags for many formats, so the tags
 are preserved when converting files.
 .
 See README.Debian for more information on supported formats.
