=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --sourcedirectory=src

execute_after_dh_auto_install:
	find debian/soundkonverter -name '*.so' -type l -delete

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGELOG
