=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/soundkonverter-$1\.tar\.gz/ \
  https://github.com/dfaust/soundkonverter/tags .*/v?(\d\S*)\.tar\.gz
